stralloc_copys(3)

NAME
stralloc_copys - copy data into a stralloc

SYNTAX
#include <libowfat/stralloc.h> int stralloc_copys(stralloc* sa,const char* buf);

DESCRIPTION
stralloc_copys copies a \0-terminated string from buf into sa, without the \0. It is the same as stralloc_copyb(&sa, buf, str_len(buf)). The data that sa previously contained is overwritten and truncated. If stralloc_copys runs out of memory, stralloc_copys leaves sa alone and return 0, otherwise it returns 1.

RETURN VALUE
1 for success, 0 on memory allocation failure.

SEE ALSO
stralloc_copyb(3)